<?php

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace RectorPrefix202303\Symfony\Component\DependencyInjection\Argument;

/**
 * Represents a collection of values to lazily iterate over.
 *
 * @author Titouan Galopin <galopintitouan@gmail.com>
 */
class IteratorArgument implements ArgumentInterface
{
    /**
     * @var mixed[]
     */
    private $values;
    public function __construct(array $values)
    {
        $this->setValues($values);
    }
    public function getValues() : array
    {
        return $this->values;
    }
    public function setValues(array $values)
    {
        $this->values = $values;
    }
}
